# A simple Mediawiki bundle

This bundle deploys a Mediawiki with MySQL. There are 2 bundles included, a "single" one for simple small wikis, and a
"scalable" one designed for scale out usage.

# Usage

You can deploy the single bundle with:

    juju quickstart bundle:mediawiki/single

After deployment you need to expose the Mediawiki service, either via the GUI or the CLI:

    juju expose mediawiki

Then run a `juju status mediawiki` to get the public address. 

## Scale Out Usage

This bundle deploys Mediawiki, memcached, MySQL, and an haproxy. It requires a
minimum of 5 units. The mediawiki charm is placed behind the proxy so that you
can point DNS at the proxy and then scale the mediawiki unit up and down. You can deploy it with:

    juju quickstart bundle:mediawiki/scalable

All you should do after deployment is expose haproxy, you can do this via the
GUI or via the CLI:

    juju expose haproxy

To scale out mediawiki itself:

    juju add-unit mediawiki

There's no need to configure memcached, it is included in this bundle to use
mediawiki already. The MySQL database is set up in a master->slave
configuration so you can scale the database as well with:

    juju add-unit mysql-slave